/**
  * AbulEduLabelV1
  *
  * @warning aucun traitement d'erreur n'est pour l'instant implémenté
  * @see https://redmine.ryxeo.com/projects/leterrier-aller
  * @author 2011 Jean-Louis Frucot <frucot.jeanlouis@free.fr>
  * @see The GNU Public License (GPL)
  *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QStringList>
#include <QTime>
MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
QMetaObject::connectSlotsByName(this);
    ui->labelZone->labelsScrollArea->setStyleSheet("background-color: rgb(207,207,207);");
    aireDeJeu = new AbulEduLabelFrameV1(Qt::Horizontal, ui->labelZone);
    aireDeJeu->setFrameShape(QFrame::Box);
//    aireDeJeu->abelabelSetOrientation(Qt::Horizontal);
//    aireDeJeu->abeLabel_setOrientation(Qt::Vertical);
    qsrand(QTime().currentTime().msec());
    aireDeJeu->setStyleSheet("background-color: rgb(255, 255, 127);");
    ui->labelZone->labelsScrollArea->setWidget(aireDeJeu);


    aireDeJeu->show();

    QStringList listeMots;
    listeMots.append(trUtf8("Mot 1"));
    listeMots.append(trUtf8("Mot 2 Suite mot2, mot très long, long, long, encore plus long"));
    listeMots.append(trUtf8("Mon Mot 3"));
    listeMots.append(trUtf8("Mon quatrième mot"));
    aireDeJeu->abelabelSetLargeurEtiquettes(200);
    aireDeJeu->abelabelCreeAbulEduLabels(listeMots);

    aireDeJeu->abelabelMontreEtiquettes(true);
    aireDeJeu->abelabelMelangeAbulEduLabels();
    ui->labelZone2->labelsScrollArea->setStyleSheet("background-color: rgb(207,207,207);");
    aireDeJeu2 = new AbulEduLabelFrameV1(Qt::Vertical, ui->labelZone2);
    aireDeJeu2->setFrameShape(QFrame::Box);

    aireDeJeu2->setStyleSheet("background-color: rgb(255, 255, 0);");
    ui->labelZone2->labelsScrollArea->setWidget(aireDeJeu2);

    aireDeJeu2->show();
    aireDeJeu2->abelabelSetLargeurEtiquettes(200);
    aireDeJeu2->abelabelCreeAbulEduLabels(listeMots); // Mêmes Mots
    aireDeJeu2->abelabelMontreEtiquettes(true);
    aireDeJeu2->abelabelMelangeAbulEduLabels();
    aireDeJeu2->abelabelPlaceAbulEduLabelsByNumOrdre();
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
